USRP Hardware Driver and USRP Manual: uhd::rfnoc::noc_block_base::make_args_t Struct Reference

| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::rfnoc::noc_block_base::make_args_t Struct Reference

`#include <uhd/rfnoc/noc_block_make_args.hpp>`

## Public Member Functions
| ~make_args_t ()

## Public Attributes
noc_id_t | noc_id
| Noc-ID.
block_id_t | block_id
| Block ID (e.g. 0/Radio#0).
size_t | num_input_ports
| Number of input ports (gets reported from the FPGA).
size_t | num_output_ports
| Number of output ports (gets reported from the FPGA).
size_t | mtu
| Value of the MTU register, converted to bytes.
chdr_w_t | chdr_w
| CHDR width of this block.
register_iface::sptr | reg_iface
| Register interface to this block's register space.
std::shared_ptr< clock_iface > | tb_clk_iface
| Timebase clock interface object that is shared with the reg_iface.
std::shared_ptr< clock_iface > | ctrlport_clk_iface
| Controlport clock interface object that is shared with the reg_iface.
std::shared_ptr< mb_controller > | mb_control
| Reference to the motherboard controller associated with this block.
uhd::property_tree::sptr | tree
| The subtree for this block.
uhd::device_addr_t | args
| Additional args that can be parsed and used by this block.

## Detailed Description

Data structure to hold the arguments passed into the noc_block_base ctor

We want to hide these from the user, so she can't futz around with them. Hence the opaque pointer, and non-UHD_API implementation.

## Constructor & Destructor Documentation

## ◆ ~make_args_t()

uhd::rfnoc::noc_block_base::make_args_t::~make_args_t | ( |  | ) |

## Member Data Documentation

## ◆ args

uhd::device_addr_t uhd::rfnoc::noc_block_base::make_args_t::args

Additional args that can be parsed and used by this block.

## ◆ block_id

block_id_t uhd::rfnoc::noc_block_base::make_args_t::block_id

Block ID (e.g. 0/Radio#0).

## ◆ chdr_w

chdr_w_t uhd::rfnoc::noc_block_base::make_args_t::chdr_w

CHDR width of this block.

## ◆ ctrlport_clk_iface

std::shared_ptr<clock_iface> uhd::rfnoc::noc_block_base::make_args_t::ctrlport_clk_iface

Controlport clock interface object that is shared with the reg_iface.

## ◆ mb_control

std::shared_ptr<mb_controller> uhd::rfnoc::noc_block_base::make_args_t::mb_control

Reference to the motherboard controller associated with this block.

## ◆ mtu

size_t uhd::rfnoc::noc_block_base::make_args_t::mtu

Value of the MTU register, converted to bytes.

## ◆ noc_id

noc_id_t uhd::rfnoc::noc_block_base::make_args_t::noc_id

Noc-ID.

## ◆ num_input_ports

size_t uhd::rfnoc::noc_block_base::make_args_t::num_input_ports

Number of input ports (gets reported from the FPGA).

## ◆ num_output_ports

size_t uhd::rfnoc::noc_block_base::make_args_t::num_output_ports

Number of output ports (gets reported from the FPGA).

## ◆ reg_iface

register_iface::sptr uhd::rfnoc::noc_block_base::make_args_t::reg_iface

Register interface to this block's register space.

## ◆ tb_clk_iface

std::shared_ptr<clock_iface> uhd::rfnoc::noc_block_base::make_args_t::tb_clk_iface

Timebase clock interface object that is shared with the reg_iface.

## ◆ tree

uhd::property_tree::sptr uhd::rfnoc::noc_block_base::make_args_t::tree

The subtree for this block.

The documentation for this struct was generated from the following file:

- noc_block_make_args.hpp